"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston_1 = require("winston");
exports.default = winston_1.createLogger({
    level: process.env.NODE_ENV === 'development' ? 'verbose' : 'info',
    format: winston_1.format.combine(winston_1.format.splat(), winston_1.format.timestamp({
        format: 'HH:mm:ss',
    }), winston_1.format.colorize(), winston_1.format.printf(({ level, message, timestamp }) => `${timestamp} [${level}]: ${message}`)),
    transports: [new winston_1.transports.Console()],
});
//# sourceMappingURL=logger.js.map